Subject: bug#32790: 27.0.50; point jumps unexpectedly after delete-window

From: Dmitry Gutov <[email-masked]>
Date: Wed, 26 Dec 2018 04:04:36 +0200

On 08.11.2018 23:38, Juri Linkov wrote:
>>> Shouldn't xref support a shorter and easier to type key sequence
>>> ‘S-M-<right> M-.’ with the following patch:
>>>
>>> diff --git a/lisp/progmodes/xref.el b/lisp/progmodes/xref.el
>>> index 6b1421a6f7..6aab174bcf 100644
>>> --- a/lisp/progmodes/xref.el
>>> +++ b/lisp/progmodes/xref.el
>>> @@ -425,7 +425,7 @@ xref--pop-to-location
>>>                       (xref-location-marker (xref-item-location item))))
>>>             (buf (marker-buffer marker)))
>>>        (cl-ecase action
>>> -      ((nil)  (switch-to-buffer buf))
>>> +      ((nil)  (pop-to-buffer-same-window buf))
>>>          (window (pop-to-buffer buf t))
>>>          (frame  (let ((pop-up-frames t)) (pop-to-buffer buf t))))
>>>        (xref--goto-char marker))
>>
>> I think so.  In particular because 'xref--goto-char' does not cohabit
>> well with 'switch-to-buffer-preserve-window-point' in the first place.
>> Dmitry should consent, though.
> 
> Dmitry, do you agree this is a change for the better?

It shouldn't hurt (but apparently you went with a different direction 
anyway already).

Sorry I never responded, but originally this bug had nothing to do with 
xref, and I tuned out months ago.

If somebody knows how to set up Thunderbird to somehow extra notify when 
somebody Cc's you directly, please send me a direct email.